Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
client.connections.select_objects(42, [5, 9])import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
await client.connections.selectObjects(42, [5, 9]);engini connections select-objects 42 --object 5 --object 9const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectIds: [123]})
};
fetch('https://api.engini.io/v1/connections/{connectionId}/select-objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Connections
Select objects
Saves which objects (e.g. tables, lists) discovered on the given connection are active
- used where an application exposes more objects than are relevant, so the caller can scope the connection down to the ones it needs. Replaces the entire selection; it does not merge with the previous one.
POST
/
v1
/
connections
/
{connectionId}
/
select-objects
Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
client.connections.select_objects(42, [5, 9])import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
await client.connections.selectObjects(42, [5, 9]);engini connections select-objects 42 --object 5 --object 9const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectIds: [123]})
};
fetch('https://api.engini.io/v1/connections/{connectionId}/select-objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Authorizations
BearerApiKey
Enter your JWT token
Path Parameters
The identifier of the connection whose objects are being selected.
Body
application/json
The request containing the identifiers of the objects to select.
Request body for selecting which objects a connection exposes.
Identifiers of the objects to select for the connection.
Response
An empty success response when the selection is saved.
The response is of type file.